7a0d66a1565d6aa7451ba614453d2585346d8853
[vncterm.git] / debian / changelog
1 vncterm (1.5-3) unstable; urgency=medium
2
3   * depend on libjpeg62-turbo instead of libjpeg62
4
5  -- Proxmox Support Team <support@proxmox.com>  Wed, 15 Nov 2017 12:46:19 +0100
6
7 vncterm (1.5-2) unstable; urgency=medium
8
9   * replaced pure plack cursor with a more visible pointer with white edges
10
11  -- Proxmox Support Team <support@proxmox.com>  Wed, 07 Jun 2017 13:53:17 +0200
12
13 vncterm (1.5-1) unstable; urgency=medium
14
15   * use unifont to support more glyphs (range 0x0000..0xFFFF)
16
17   * support wide characters
18
19   * support combining glyphs
20
21  -- Proxmox Support Team <support@proxmox.com>  Wed, 24 May 2017 13:12:55 +0200
22
23 vncterm (1.4-2) unstable; urgency=medium
24
25   * fix bound checking on cursor move
26
27  -- Proxmox Support Team <support@proxmox.com>  Sat, 06 May 2017 08:09:29 +0200
28
29 vncterm (1.4-1) unstable; urgency=medium
30
31   * recompile for Debian Stretch / PVE 5
32
33  -- Proxmox Support Team <support@proxmox.com>  Fri, 10 Mar 2017 10:19:48 +0100
34
35 vncterm (1.3-2) unstable; urgency=medium
36
37   * bound check utf8 characters
38
39   * detect empty first parameter of escape codes
40
41  -- Proxmox Support Team <support@proxmox.com>  Fri, 10 Mar 2017 10:11:00 +0100
42
43 vncterm (1.3-1) unstable; urgency=low
44
45   * update cipher suites to GnuTLS's NORMAL
46
47   * allow building with GnuTLS 3.5
48
49   * update LibVNCServer to 0.9.11
50
51  -- Proxmox Support Team <support@proxmox.com>  Fri, 3 Feb 2017 08:52:31 +0100
52
53 vncterm (1.2-1) unstable; urgency=low
54
55   * recompile for Debian Jessie / PVE 4
56
57  -- Proxmox Support Team <support@proxmox.com>  Fri, 27 Feb 2015 20:00:46 +0100
58
59 vncterm (1.1-8) unstable; urgency=low
60
61   * update applet signature (new code signing cert)
62
63  -- Proxmox Support Team <support@proxmox.com>  Fri, 25 Jul 2014 06:57:46 +0200
64
65 vncterm (1.1-7) unstable; urgency=low
66
67   *  new option -notls (for novnc)
68
69  -- Proxmox Support Team <support@proxmox.com>  Mon, 23 Jun 2014 13:30:50 +0200
70
71 vncterm (1.1-6) unstable; urgency=low
72
73   * set Caller-Allowable-Codebase and remove Trusted-Library. This avoids
74     security popups with latest Java 7u45. Also see:
75   
76     http://stackoverflow.com/questions/19393826/java-applet-manifest-allow-all-caller-allowable-codebase
77
78  -- Proxmox Support Team <support@proxmox.com>  Fri, 08 Nov 2013 11:27:08 +0100
79
80 vncterm (1.1-5) unstable; urgency=low
81
82   * use Comodo code sign cert for applet signature
83
84  -- Proxmox Support Team <support@proxmox.com>  Fri, 08 Nov 2013 08:35:10 +0100
85
86 vncterm (1.1-4) unstable; urgency=low
87
88   * Allow to add intermediate certificates to /etc/pve/local/pve-ssl.pem 
89   (users previously used apache option SSLCertificateChainFile for that).
90   
91  -- Proxmox Support Team <support@proxmox.com>  Mon, 03 Jun 2013 08:26:59 +0200
92
93 vncterm (1.1-3) unstable; urgency=low
94
95   *  re-enable javascript-events.patch (used for migrate/reload)
96
97  -- Proxmox Support Team <support@proxmox.com>  Fri, 10 May 2013 07:56:35 +0200
98
99 vncterm (1.1-2) unstable; urgency=low
100
101   * recompile VnCViewer.jar with openJDK
102   
103   * set trusted-lib to avoid security popup
104   
105   * disable unused javascript-events.patch
106
107  -- Proxmox Support Team <support@proxmox.com>  Sat, 20 Apr 2013 16:05:41 +0200
108
109 vncterm (1.1-1) unstable; urgency=low
110
111   * recompile for wheezy
112
113  -- Proxmox Support Team <support@proxmox.com>  Fri, 15 Mar 2013 08:26:04 +0100
114
115 vncterm (1.0-3) unstable; urgency=low
116
117   * fix focus traversal
118
119  -- Proxmox Support Team <support@proxmox.com>  Tue, 21 Aug 2012 09:14:04 +0200
120
121 vncterm (1.0-2) unstable; urgency=low
122
123   * do not create a new process group (with setsid), so
124   we can kill the whole pve task if used inside fork_worker().
125
126  -- Proxmox Support Team <support@proxmox.com>  Tue, 13 Sep 2011 10:49:32 +0200
127
128 vncterm (1.0-1) unstable; urgency=low
129
130   * use TigerVNC java sources
131   
132   * implement TLS encryption and vencrypt password auth
133   
134   * removed support for -passwdfile option
135
136  -- root <root@maui.maurer-it.com>  Mon, 24 Jan 2011 10:46:25 +0100
137
138 vncterm (0.9-2) unstable; urgency=low
139
140   * compiled for debian etch
141   
142   * use memmove instead of rfbDoCopyRect (avoid SIGSEGV when
143   called with negative dy)
144
145  -- Proxmox Support Team <support@proxmox.com>  Wed, 22 Apr 2009 10:02:08 +0200
146
147 vncterm (0.9-1) stable; urgency=low
148
149   * initial import
150
151  -- Proxmox Support Team <support@proxmox.com>  Thu, 27 Dec 2007 05:57:17 +0100
152